%define upstream_name    ExtUtils-MakeMaker
%define upstream_version 7.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Writes Makefiles for extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
# Link to libperl.so explicitly. Bug #960048.
Patch1:         %{upstream_name}-7.12-Link-to-libperl-explicitly-on-Linux.patch
Patch2:     ExtUtils-MakeMaker-6.59-prevent-bundled-copies.patch
# append to config cflags debian #628522
Patch10:     ExtUtils-MakeMaker-7.14-append_to_config_cflags_instead_of_overriding.patch

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Pod::Man)
BuildRequires: perl-devel,
BuildRequires: perl-CPAN-Meta
BuildArch:  noarch
Obsoletes: perl-ExtUtils-Command < 1.201

%{?perl_default_filter}
# Do not export private redefinitions
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DynaLoader|ExtUtils::MakeMaker::_version\\)
# Do not export private modules and libraries
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
Include all the modules bundled with MakeMaker in @INC so
ExtUtils::MakeMaker will load.

This is for bootstrapping the process of deciding how much of the bundles
we need.

copy_bundles() copies the contents of each bundle, if necessary, into inc/
as a flattened module directory that MakeMaker can install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1
%patch2 -b .nobundled
%patch10 -p1 -b .App

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
mv %{buildroot}/%{_bindir}/instmodsh   %{buildroot}/%{_bindir}/instmodsh.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/instmodsh.1 %{buildroot}/%{_mandir}/man1/instmodsh.%{upstream_version}.1

%files
%doc CONTRIBUTING Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Jun 09 2017 shlomif <shlomif> 7.280.0-1.mga6
+ Revision: 1107417
- New version 7.28 to fix build

* Fri Oct 14 2016 tv <tv> 7.160.0-2.mga6
+ Revision: 1060758
- patch 1: link to libperl.so explicitly (like module in main perl)

* Sun May 08 2016 shlomif <shlomif> 7.160.0-1.mga6
+ Revision: 1010665
- update to 7.16

* Fri Apr 29 2016 shlomif <shlomif> 7.140.0-1.mga6
+ Revision: 1007820
- New version 7.14

* Fri Feb 19 2016 umeabot <umeabot> 7.100.0-2.mga6
+ Revision: 970006
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 7.100.0-1.mga6
+ Revision: 884600
- update to 7.10

* Fri Sep 04 2015 tv <tv> 7.60.0-2.mga6
+ Revision: 872687
- adjust patch
- new release

* Sun Jun 21 2015 sander85 <sander85> 7.40.0-1.mga6
+ Revision: 837004
- update to 7.04

* Sun Oct 19 2014 umeabot <umeabot> 6.980.0-5.mga5
+ Revision: 789347
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.980.0-4.mga5
+ Revision: 746193
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 6.980.0-3.mga5
+ Revision: 732105
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.980.0-2.mga5
+ Revision: 684684
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 6.980.0-1.mga5
+ Revision: 620414
- update to 6.98

* Tue Apr 15 2014 jquelin <jquelin> 6.960.0-1.mga5
+ Revision: 614573
- update to 6.96

* Tue Apr 01 2014 jquelin <jquelin> 6.940.0-1.mga5
+ Revision: 611096
- update to 6.94

* Fri Mar 14 2014 jquelin <jquelin> 6.920.0-1.mga5
+ Revision: 603691
- update to 6.92

* Tue Feb 25 2014 jquelin <jquelin> 6.900.0-1.mga5
+ Revision: 596825
- update to 6.90

* Mon Feb 10 2014 jquelin <jquelin> 6.880.0-1.mga5
+ Revision: 587952
- update to 6.88

* Mon Oct 21 2013 umeabot <umeabot> 6.780.0-2.mga4
+ Revision: 537514
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 6.780.0-1.mga4
+ Revision: 487197
- update to 6.78

* Sun Sep 08 2013 sander85 <sander85> 6.760.0-1.mga4
+ Revision: 476234
- update to 6.76

* Wed Aug 28 2013 sander85 <sander85> 6.740.0-1.mga4
+ Revision: 472722
- update to 6.74

* Wed Jul 24 2013 sander85 <sander85> 6.720.0-1.mga4
+ Revision: 457888
- update to 6.72

* Wed Jul 24 2013 sander85 <sander85> 6.700.0-1.mga4
+ Revision: 457599
- update to 6.70

* Tue Jul 09 2013 jquelin <jquelin> 6.680.0-1.mga4
+ Revision: 451888
- update to 6.68

* Wed Mar 27 2013 jquelin <jquelin> 6.640.0-3.mga3
+ Revision: 405480
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.640.0-2.mga3
+ Revision: 367028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.640.0-1.mga3
+ Revision: 341886
- update to 6.64

* Fri Oct 12 2012 neoclust <neoclust> 6.620.0-5.mga3
+ Revision: 305042
- Do not package backuped files

* Thu Jan 12 2012 rtp <rtp> 6.620.0-4.mga2
+ Revision: 195255
- Make sure that perl-CPAN-Meta is installed, as it's needed by the testsuite.

* Thu Dec 15 2011 jquelin <jquelin> 6.620.0-3.mga2
+ Revision: 182036
- fix eumm cflags overriding

* Thu Dec 15 2011 jquelin <jquelin> 6.620.0-2.mga2
+ Revision: 182027
- re-enable test suite

* Sat Nov 05 2011 kharec <kharec> 6.620.0-1.mga2
+ Revision: 163825
- Disable checks which are break.
- Use make instead of %%make check
- update to 6.62

  + jquelin <jquelin>
    - override perl 5.14.2 bundle
    - take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 6.590.0-2.mga2
+ Revision: 148599
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- prevent bundled copies to be used

* Wed Aug 31 2011 jquelin <jquelin> 6.590.0-1.mga2
+ Revision: 136953
- adding missing buildrequires
- imported package perl-ExtUtils-MakeMaker

